Bug 772867 - (CVE-2012-0207) CVE-2012-0207 kernel: igmp: Avoid zero delay when receiving odd mixture of IGMP queries
CVE-2012-0207 kernel: igmp: Avoid zero delay when receiving odd mixture of IG...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120110,repor...
: Security
Depends On: 772868 772869 772870 772871 772872 772873 781214 782684
Blocks: 772863
  Show dependency treegraph
 
Reported: 2012-01-10 02:58 EST by Eugene Teo (Security Response)
Modified: 2015-08-19 05:14 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-24 03:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2012-01-10 02:58:32 EST
Commit 5b7c84066733c5dfb0e4016d939757b38de189e4 ('ipv4: correct IGMP behavior on v3 query during v2-compatibility mode') added yet another case for query parsing, which can result in max_delay = 0.  Substitute a value of 1, as in the usual v3 case.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=654876

code added in 2.6.36-rc8.

Upstream commit:
http://git.kernel.org/linus/a8c1f65c79cbbb2f7da782d4c9d15639a9b94b27

Acknowledgements:

Red Hat would like to thank Simon McVittie for reporting this issue.
Comment 3 Eugene Teo (Security Response) 2012-01-10 03:09:35 EST
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not backport the upstream commit 5b7c8406.
Comment 7 Eugene Teo (Security Response) 2012-01-18 02:10:22 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 782684]
Comment 10 errata-xmlrpc 2012-02-09 11:42:13 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0107 https://rhn.redhat.com/errata/RHSA-2012-0107.html
Comment 11 errata-xmlrpc 2012-02-21 00:06:01 EST
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2012:0168 https://rhn.redhat.com/errata/RHSA-2012-0168.html
Comment 12 errata-xmlrpc 2012-02-23 15:23:59 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0333 https://rhn.redhat.com/errata/RHSA-2012-0333.html
Comment 13 errata-xmlrpc 2012-03-06 13:46:04 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html
Comment 14 errata-xmlrpc 2012-03-26 11:18:05 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:0422 https://rhn.redhat.com/errata/RHSA-2012-0422.html

Note You need to log in before you can comment on or make changes to this bug.